PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
plask::TranslatedOuterDataSourceImpl< PropertyT, FIELD_PROPERTY, SpaceType, VariadicTemplateTypesHolder< ExtraArgs... > > Struct Template Reference

Don't use this directly, use TranslatedOuterDataSource instead. More...

`#include <plask/filters/translation.hpp>`

Inheritance diagram for plask::TranslatedOuterDataSourceImpl< PropertyT, FIELD_PROPERTY, SpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >:
[legend]
Collaboration diagram for plask::TranslatedOuterDataSourceImpl< PropertyT, FIELD_PROPERTY, SpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >:
[legend]

## Public Types
typedef PropertyAt< PropertyT, SpaceType >::ValueType | ValueType
| Type of property value in output space.

## Public Member Functions
std::function< plask::optional< ValueType >(std::size_t index)> | operator() (const shared_ptr< const MeshD< SpaceType::DIM > > &dst_mesh, ExtraArgs... extra_args, InterpolationMethod method) const override
Public Member Functions inherited from plask::OuterDataSource< PropertyT, SpaceType, SpaceType, GeometryObjectD< SpaceType::DIM >, GeometryObjectD< SpaceType::DIM > >
void | calcConnectionParameters () override
| This is called before request for data, but after setup inputObj, outputObj and path fields.
Public Member Functions inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
| DataSourceWithReceiver ()
| ~DataSourceWithReceiver ()
void | disconnect ()
void | setPath (const PathHints *path)
const PathHints * | getPath () const
void | inOrOutWasChanged (GeometryObject::Event &e)
void | connect (InputGeomObj &inputObj, OutputGeomObj &outputObj, const PathHints *path=nullptr)

## Additional Inherited Members
Public Attributes inherited from plask::OuterDataSource< PropertyT, SpaceType, SpaceType, GeometryObjectD< SpaceType::DIM >, GeometryObjectD< SpaceType::DIM > >
Vec< InputGeomObj::DIM, double > | inTranslation
Public Attributes inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
ReceiverFor< PropertyT, InputSpaceType > | in
Protected Attributes inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
const InputGeomObj * | inputObj
const OutputGeomObj * | outputObj
plask::optional< PathHints > | path
boost::signals2::connection | geomConnectionIn
boost::signals2::connection | geomConnectionOut

## Detailed Description

template<typename PropertyT, typename SpaceType, typename... ExtraArgs>
struct plask::TranslatedOuterDataSourceImpl< PropertyT, FIELD_PROPERTY, SpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >

Don't use this directly, use TranslatedOuterDataSource instead.

Definition at line 146 of file translation.hpp.

## Member Typedef Documentation

## ◆ ValueType

template<typename PropertyT , typename SpaceType , typename... ExtraArgs>

typedef PropertyAt<PropertyT,SpaceType>::ValueType plask::TranslatedOuterDataSourceImpl< PropertyT, FIELD_PROPERTY, SpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::ValueType

Type of property value in output space.

Definition at line 150 of file translation.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename PropertyT , typename SpaceType , typename... ExtraArgs>

std::function< plask::optional< ValueType >(std::size_t index)> plask::TranslatedOuterDataSourceImpl< PropertyT, FIELD_PROPERTY, SpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::operator() | ( | const shared_ptr< const MeshD< SpaceType::DIM > > & | dst_mesh,
|  | ExtraArgs... | extra_args,
|  | InterpolationMethod | method
| ) |  | const
| inline override

Definition at line 152 of file translation.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/translation.hpp